> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop Generation

> Cancel the attribute's pending generation work. Existing values are kept.
Works on any existing attribute, one whose generation was detached
included. `POST /metadata/attributes/{attribute_id}/generation/stop` is
the deprecated form of this route.



## OpenAPI

````yaml /api-reference/openapi.json post /metadata/attributes/{attribute_id}/stop
openapi: 3.1.0
info:
  title: Aspect API
  description: Manage and search media in Aspect.
  version: 1.0.0
servers:
  - url: https://api.aspect.inc
security:
  - ApiKeyAuth: []
tags:
  - name: Users
  - name: API Keys
  - name: Workspaces
  - name: Projects
  - name: Directories
  - name: Assets
  - name: Attachments
  - name: Filesystem Items
  - name: Jobs
  - name: Collections
  - name: Comments
  - name: Search
  - name: Transcription
  - name: Metadata
  - name: Shares
  - name: Share Templates
  - name: Watermarks
paths:
  /metadata/attributes/{attribute_id}/stop:
    post:
      tags:
        - Metadata
      summary: Stop Generation
      description: >-
        Cancel the attribute's pending generation work. Existing values are
        kept.

        Works on any existing attribute, one whose generation was detached

        included. `POST /metadata/attributes/{attribute_id}/generation/stop` is

        the deprecated form of this route.
      operationId: stop_generation
      parameters:
        - name: attribute_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Attribute ID
            title: Attribute Id
          description: Attribute ID
        - name: dry_run
          in: query
          required: false
          schema:
            type: boolean
            description: Return the count preview without deleting
            default: false
            title: Dry Run
          description: Return the count preview without deleting
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CellStopResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CellStopResponse:
      properties:
        count:
          type: integer
          title: Count
          description: Pending cells cancelled (or that would be, with dry_run)
      type: object
      required:
        - count
      title: CellStopResponse
      description: API response schema for Stop running's entry count.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.